> ## Documentation Index
> Fetch the complete documentation index at: https://docs.old.palomma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payin Source



## OpenAPI

````yaml GET /payinSources/{payinSourceId}
openapi: 3.0.0
info:
  title: Palomma API
  description: This API includes functionality of the Palomma API.
  version: 1.0.0
servers:
  - url: https://api.palomma.com/v0
    description: Production server
  - url: https://sandbox.api.palomma.com/v0
    description: Sandbox server
security:
  - BearerAuth: []
paths:
  /payinSources/{payinSourceId}:
    get:
      tags:
        - Payin Sources
      summary: Retrieve a Payin Source
      operationId: getPayinSourceById
      parameters:
        - name: payinSourceId
          in: path
          required: true
          description: Unique identifier of the payin source.
          schema:
            type: string
      responses:
        '200':
          description: Payin Source retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayinSource'
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '404':
          description: Payin Source not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
components:
  schemas:
    PayinSource:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for this Payin Source.
          example: 01HPR7A40E44S0WDR189YXA8GH
        reference:
          type: string
          description: Reference sent in by merchant to identify Payin Source.
        description:
          type: string
          description: An extra metadata field that can be included for visibility.
        customerId:
          type: string
          description: Reference to customer who owns this Payin Source.
        customerDetails:
          $ref: '#/components/schemas/CustomerDetails'
        status:
          type: string
          description: Status of the Payin Source.
          enum:
            - pending
            - processing
            - active
            - cancelled
        statusMessage:
          $ref: '#/components/schemas/StatusMessage'
        authUrl:
          type: string
          description: >-
            URL where the customer should be redirected to complete the account
            authentication and debit authorization.
        redirectUrl:
          type: string
          description: URL where the customer will be redirected after auth flow.
        partialPayinsEnabled:
          type: boolean
          description: >-
            Only available for Bancolombia. Partial debit will be made if the
            account does not have sufficient funds to debit the total amount. By
            default, no partial debits will be made.
        type:
          type: string
          description: Type of Payin Source created.
          enum:
            - bankAccount
            - bancolombiaToken
            - nequiToken
        createdAt:
          type: string
          format: date-time
          description: ISO string indicating when the Payin Source was created.
        updatedAt:
          type: string
          format: date-time
          description: ISO string indicating when the Payin Source was last updated.
    CustomerDetails:
      type: object
      properties:
        reference:
          type: string
          description: >-
            An optional reference provided by the merchant to identify the
            customer.
        name:
          type: string
          description: >-
            First and last name for a natural person, and company name for a
            juridical person.
          example: Pepito Perez
        documentType:
          type: string
          description: Colombian ID type for customer.
          enum:
            - cc
            - ce
            - nit
        documentNumber:
          type: string
          description: Colombian ID number for customer.
          example: '1037551022'
        email:
          type: string
          description: Customer’s email.
          format: email
          example: pepito@gmail.com
        phoneNumber:
          type: string
          description: Customer’s phone number.
          example: '3013111111'
    StatusMessage:
      type: string
      description: >-
        Additional detail on the status. Only present when status is
        "cancelled".
      enum:
        - AUTHENTICATION_FAILED
        - CUSTOMER_CANCELLATION
        - DECLINED_BY_BANK
        - EXPIRED
        - INVALID_ACCOUNT
        - NOT_ENOUGH_FUNDS
        - ERROR
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````